Apache log4cxx: OutputDebugStringAppender Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OutputDebugStringAppender Class Reference

Inherits AppenderSkeleton.

List of all members.

## Public Member Functions
| OutputDebugStringAppender ()
bool | requiresLayout () const
| Configurators call this method to determine if the appender requires a layout.
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
virtual void | append (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging.

## Constructor & Destructor Documentation

OutputDebugStringAppender | ( |  | ) |

## Member Function Documentation

virtual void append | ( | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | p
| ) | `[virtual]`

| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging. See also AppenderSkeleton::doAppend method. Implements AppenderSkeleton.

virtual void close | ( |  | ) | `[inline, virtual]`

| Release any resources allocated within the appender such as file handles, network connections, etc. It is a programming error to append to a closed appender. Implements Appender.

bool requiresLayout | ( |  | ) | const`[inline, virtual]`

| Configurators call this method to determine if the appender requires a layout. If this method returns `true`, meaning that layout is required, then the configurator will configure an layout using the configuration information at its disposal. If this method returns `false`, meaning that a layout is not required, then layout configuration will be skipped even if there is available layout configuration information at the disposal of the configurator.. In the rather exceptional case, where the appender implementation admits a layout but can also work without it, then the appender should return `true`. Implements Appender.

The documentation for this class was generated from the following file:

- outputdebugstringappender.h